Subject: bug#19687: 25.0.50, xwidget branch: Byte compilation of "slime.el" fails

From: Stefan Husmann <[email-masked]>
Date: Sun, 25 Jan 2015 23:54:06 +0100

Am 25.01.2015 um 21:01 schrieb [email-masked]:
> Stefan Husmann <[email-masked]> writes:
> 
>> Package: emacs-xwidgets
>>
>> The byte-compilation of the most recent slime.el from git (git://github.com/slime/slime) fails when using emacs from xwidget branch in  the latest revision, both when running make or loading slime.el into a runnig emacs and byte-compiling manually.
>>
>> emacs -Q -L . --batch -f batch-byte-compile slime.el
>>
>> In toplevel form:
>> slime.el:79:1:Error: Args out of range: "", 0
>>
>> Line 79 reads like: 
>> (require 'etags)
>>
>> This does not happen with the emacs build from master, but I am still not sure if I should file this against the developers of slime instead. 
>>
>> Please try to reproduce.
> 
> 
> Master has been pretty turbulent in the Eieio library. I think the
> current xwidget is missing important fixes in that regard.
> 
> I will do a merge and a push and see if that helps.
> 
>>
>> Best Regards
>> Stefan
>>
> 
Hello,

yes, indeed the master branch did not even compile anymore. 

And with your merge the problem went away. Thank you again.

Best Regards 
Stefan